//---------------------------------------------------------------------------

#ifndef testunitH
#define testunitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
class testunit : public TThread
{
protected:
	void __fastcall Execute();
	void __fastcall UpdateCaption();
	void __fastcall UpdatePingGraf();
	void __fastcall UpdatePingGrafError();
	void __fastcall Terminate();
public:
	__fastcall testunit(bool CreateSuspended);
	bool PING_FLAG;
	BYTE PING_COUNT;
private:
	AnsiString Message;
	int pingerror;
	int latence_avr;
	int latence_min;
	int latence_max;
	int latence_sum;
	int time_real;
	unsigned int pingcount;
};
//---------------------------------------------------------------------------
#endif
